CopyHero

Update Automation Route

PATCH
/api/v1/monday/automations/{automation_id}

Authorization

HTTPBearer
headerAuthorizationBearer <token>

Path Parameters

automation_id*Automation Id

Request Body

application/json
  1. body
name?|null
event_type?|null
store_filter?integer|null
blueprint_filter?integer|null
board_id?|null
target_strategy?|null
match_expression?string|null
column_updates?|null
enabled?boolean|null

Response Body

Successful Response

application/json
  1. response
name*Name
Length1 <= length <= 200
event_type*Event Type
Value in"workflow.completed""workflow.failed""workflow.started"
store_filter?integer|null
blueprint_filter?integer|null
board_id*Board Id
Length1 <= length
target_strategy*Target Strategy
Range1 <= value <= 7
match_expression?string|null
column_updates?
enabled?Enabled
Defaulttrue
id*Id
Example Request
curl -X PATCH 'https://app.copyhero.app/api/v1/monday/automations/0' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "name": "string",  "event_type": "workflow.completed",  "store_filter": 0,  "blueprint_filter": 0,  "board_id": "string",  "target_strategy": 1,  "match_expression": "string",  "column_updates": {    "property1": "string",    "property2": "string"  },  "enabled": true,  "id": 0}